import hashlib

SEED = "letmelubeyou"

def generate_password(seed, chip_id):
    combined = seed + chip_id
    hash_object = hashlib.md5(combined.encode())
    return hash_object.hexdigest()[:16]  # First 16 characters of the MD5 hash

if __name__ == "__main__":
    chip_id = input("Enter the Chip ID in hex (e.g., 1A2B3C4D): ").strip()
    chip_id = chip_id.zfill(8).upper()  # Ensure it's 8 characters, upper case

    password = generate_password(SEED, chip_id)
    print(f"Generated Password: {password}")
